<?php
/**
 * Footer Style 02
 * @package hostech
 * @since 1.0.0
 */

$copyright_text = !empty(cs_get_option('copyright_text')) ? cs_get_option('copyright_text'): esc_html__('Copyright © 2024 hostech All Rights Reserved.','hostech');
$copyright_text = str_replace('{copy}','&copy;',$copyright_text);
$copyright_text = str_replace('{year}',date('Y'),$copyright_text);

$footer_two_logo = cs_get_option('footer_two_logo');
$footer_two_shape_1 = cs_get_option('footer_two_shape_1');

$footer_two_text = cs_get_option('footer_two_text');

$footer_two_form_title = cs_get_option('footer_two_form_title');
$footer_two_form_text = cs_get_option('footer_two_form_text');
$footer_two_form = cs_get_option('footer_two_form');

$back_top_enable = cs_get_option('back_top_enable');
$back_top_icon = cs_get_option('back_top_icon');  

?>

<footer class="footer-section fix bg-cover" style="background-image: url('<?php echo esc_url($footer_two_shape_1['url']); ?>');">
    <div class="footer-widgets-wrapper">
        <div class="container">
            <div class="row">
                <div class="col-xl-3 col-lg-4 col-md-6 wow fadeInUp" data-wow-delay=".2s">
                    <div class="single-footer-widget">
                        <div class="widget-head">
                        <?php if (!empty($footer_two_logo)) { ?>
                        <div class="widget-head">
                            <a href="<?php echo esc_url(home_url('/')) ?>"><img src="<?php echo esc_url($footer_two_logo['url']); ?>" alt="footer-logo"></a>
                        </div>
                        <?php } ?>
                        </div>
                        <div class="footer-content">
                            <p>
                                <?php echo esc_html($footer_two_text); ?>
                            </p>
                            <h4 class="payment-text">Payment Method</h4>
                            <ul class="brand-logo">
                            <?php
                                $footer_two_bottom_img_area = cs_get_option('footer_two_bottom_img_area');

                                if (!empty($footer_two_bottom_img_area)) {
                                    foreach ($footer_two_bottom_img_area as $item) {
                                        $img_url = isset($item['footer_two_bottom_img']) ? $item['footer_two_bottom_img'] : '';
                                        $link_url = isset($item['footer_two_bottom_img_url']) ? $item['footer_two_bottom_img_url'] : '#';
                                        
                                        if ($img_url) {
                                            echo '<li>';
                                            echo '<a href="' . esc_url($link_url) . '">';
                                            echo '<img src="' . esc_url($img_url['url']) . '" alt="img">';
                                            echo '</a>';
                                            echo '</li>';
                                        }
                                    }
                                }
                                ?>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-xl-3 col-lg-4 col-md-6 ps-lg-5 wow fadeInUp" data-wow-delay=".4s">
                  
                        <!-- footer menu 1 -->
                        <div class="ml-50">
                        <?php get_template_part('template-parts/content/footer-widget'); ?>
                        </div>
                </div>
                <div class="col-xl-3 col-lg-4 col-md-6 ps-lg-5 wow fadeInUp" data-wow-delay=".6s">
                        <!-- footer menu 2 -->
                        <?php get_template_part('template-parts/content/footer-widget-two'); ?>
                </div>
                <div class="col-xl-3 col-lg-4 col-md-6 ps-lg-4 wow fadeInUp" data-wow-delay=".9s">
                    <div class="single-footer-widget">
                        <div class="widget-head">
                            <h3><?php echo esc_html($footer_two_form_title); ?></h3>
                        </div>
                        <div class="footer-content">
                            <p>
                            <?php echo esc_html($footer_two_form_text); ?>
                            </p>
                            <div class="footer-input">
                                <?php echo do_shortcode($footer_two_form); ?>
                            </div>
                            <div class="social-icon d-flex align-items-center">
                            <?php
                                $footer_two_socials = cs_get_option('footer_two_socials');
                                if (!empty($footer_two_socials)) {
                                    foreach ($footer_two_socials as $social) {
                                        $icon = isset($social['footer_two_socials_icon']) ? $social['footer_two_socials_icon'] : '';
                                        $url = isset($social['footer_two_socials_icon_url']) ? $social['footer_two_socials_icon_url'] : '#';
                                        if ($icon && $url) {
                                            echo '<a href="' . esc_url($url) . '"><i class="' . esc_attr($icon) . '"></i></a>';
                                        }
                                    }
                                }
                                ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="footer-bottom style-2">
        <div class="container">
            <div class="footer-wrapper d-flex align-items-center justify-content-between">
                <p class="wow fadeInLeft" data-wow-delay=".3s">
                    <?php
                        echo wp_kses($copyright_text, hostech()->kses_allowed_html(array('a')));
                    ?>
                </p>
                <ul class="footer-menu wow fadeInRight" data-wow-delay=".5s">
                <?php   
                    $footer_two_terms = cs_get_option('footer_two_terms');
                    if ($footer_two_terms) {
                        foreach ($footer_two_terms as $term_item) {
                            if (isset($term_item['footer_two_terms_text']) && isset($term_item['footer_two_terms_url'])) {
                                ?>
                                <li>
                                    <a href="<?php echo esc_url($term_item['footer_two_terms_url']); ?>">
                                        <?php echo esc_html($term_item['footer_two_terms_text']); ?>
                                    </a>
                                </li>
                                <?php
                            }
                        }
                    }                    
                    ?>
                </ul>

            </div>
        </div>
        <?php 
        if( $back_top_enable ): ?>
           <a href="#" id="scrollUp" class="scroll-icon">
                <i class="<?php echo esc_attr($back_top_icon)?>"></i>
            </a>
        <?php 
        endif; ?> 
    </div>
</footer>

