<?php
/**
 * Theme Default Header
 * @package hostech
 * @since 1.0.0
 */
?>

<?php 

$header_one_top_bar_enabled = cs_get_option('header_one_top_bar_enabled');
$header_1_top_bar_contacts = cs_get_option('header_1_top_bar_contacts');
$header_one_logo = cs_get_option('header_one_logo');
$header_one_logo_2 = cs_get_option('header_one_logo_2');
$header_one_search_enabled = cs_get_option('header_one_search_enabled');          
$header_one_right_btn_text = cs_get_option('header_one_right_btn_text');
$header_one_right_btn_url = cs_get_option('header_one_right_btn_url'); 
$header_one_right_btn_enabled = cs_get_option('header_one_right_btn_enabled'); 
$header_hamburger_visibility = cs_get_option('header_1_hamburger');
$hamburger_style = ($header_hamburger_visibility == 'block') ? 'block' : 'none';

$header_1_top_bar_text = cs_get_option('header_1_top_bar_text');
$header_1_top_bar_lc_link = cs_get_option('header_1_top_bar_lc_link');

?> 

<header class="header-section-1">
<?php 
    if( $header_one_top_bar_enabled ): ?>
    <div class="header-top">
        <div class="container">
            <div class="header-top-wrapper">
                <?php
                    if ( $header_1_top_bar_contacts ) {
                        echo '<ul class="contact-list">';
                        foreach ( $header_1_top_bar_contacts as $item ) {
                            echo '<li>';
                            if ( isset( $item['header_1_top_bar_icon'] ) ) {
                                echo '<i class="' . esc_attr( $item['header_1_top_bar_icon'] ) . '"></i>';
                            }
                            if ( isset( $item['header_1_top_bar_info'] ) ) {
                                echo '<a href="'. esc_url( $item['header_1_top_bar_info_url'] ) .'" class="link">' . esc_html( $item['header_1_top_bar_info'] ) . '</a>';
                            }
                            echo '</li>';
                        }
                        echo '</ul>';
                    }          
                ?>
               <p><?php echo esc_html($header_1_top_bar_text); ?></p>
                <ul class="list login-area">
                    <li><i class="fa-light fa-comments"></i><a href="<?php echo esc_url($header_1_top_bar_lc_link); ?>">Live Chat</a></li>
                    <?php if (is_user_logged_in()) : ?>
                        <li><i class="fa-light fa-user"></i>
                            <span><?php echo wp_get_current_user()->user_login; ?>!</span>
                            <a href="<?php echo wp_logout_url(home_url()); ?>" class="logout-button ms-2">Logout</a>
                        </li>
                    <?php else : ?>
                        <li><i class="fa-light fa-user"></i>
                            <button data-bs-toggle="modal" data-bs-target="#exampleModal">
                                Login
                            </button>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </div>
    <?php 
    endif; ?> 
    <div id="header-sticky" class="header-1">
        <div class="container">
            <div class="mega-menu-wrapper">
                <div class="header-main">
                    <div class="header-left">
                        <div class="logo">

                            <?php
                                if (has_custom_logo() && empty($header_one_logo['id'])) {
                                    the_custom_logo();
                                } elseif (!empty($header_one_logo['id'])) {
                                    printf('<a class="header-logo" href="%1$s"><img src="%2$s" alt="%3$s"/></a>', esc_url(get_home_url()), $header_one_logo['url'], $header_one_logo['alt']);
                                } else {
                                    printf('<a class="header-logo d-inline-block site-title" href="%1$s">%2$s</a>', esc_url(get_home_url()), esc_html(get_bloginfo('title')));
                                }
                            ?>

                            <?php
                                if (has_custom_logo() && empty($header_one_logo_2['id'])) {
                                    the_custom_logo();
                                } elseif (!empty($header_one_logo_2['id'])) {
                                    printf('<a class="header-logo-2" href="%1$s"><img src="%2$s" alt="%3$s"/></a>', esc_url(get_home_url()), $header_one_logo_2['url'], $header_one_logo_2['alt']);
                                } else {
                                    printf('<a class="header-logo d-inline-block site-title" href="%1$s">%2$s</a>', esc_url(get_home_url()), esc_html(get_bloginfo('title')));
                                }
                            ?>

                        </div>
                    </div>
                    <div class="header-right d-flex justify-content-end align-items-center">
                        <div class="mean__menu-wrapper">
                            <div class="main-menu">
                                <?php
                                wp_nav_menu(array(
                                    'theme_location' => 'main-menu',
                                    'menu_class' => '',
                                    'container' => 'div',
                                    'container_class' => '',
                                    'container_id' => 'hostech_main_menu',
                                    'fallback_cb' => 'hostech_theme_fallback_menu',
                                ));
                                ?>
                            </div>
                        </div>
                        <?php 
                        if( $header_one_search_enabled ): ?>
                            <a href="#0" class="search-trigger search-icon"><i class="fal fa-search"></i></a>
                        <?php 
                        endif; ?>  

                        <div class="header__hamburger d-xl-<?php echo esc_attr($hamburger_style); ?> my-auto">
                            <div class="sidebar__toggle">
                                <i class="fas fa-bars"></i>
                            </div>
                        </div>

                        <div class="header-button">
                            <?php 
                            if( $header_one_right_btn_enabled ): ?>
                                <a href="<?php echo esc_url($header_one_right_btn_url); ?>" class="theme-btn">
                                <?php echo esc_html($header_one_right_btn_text); ?>
                                <i class="fa-solid fa-arrow-right-long"></i>
                                </a>
                                <?php 
                            endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>





